de.esprit.netsuite.client.gui.action

## Class ClientActionValidator<C extends ClientContext>

- java.lang.Object
- - de.esprit.common.gui.DefaultActionValidator
  - - de.esprit.netsuite.client.gui.action.ClientActionValidator<C>

- All Implemented Interfaces:
    ActionValidator, ValidationChangeEvent.Source, ClientObject<C>
  Direct Known Subclasses:
    UserActionValidator

      public class ClientActionValidator<C extends ClientContext>
      extends DefaultActionValidator
      implements ClientObject<C>

  This Validator listens to server connections and enables an action only if the connection is established.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientActionValidator(C clientCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkPermission()`
    `C` | `getClientContext()` Returns the the client runtime environment
    `boolean` | `isLoggedIn()`
    `boolean` | `isOnline()`
    `boolean` | `isUserAuthentificationSensitive()`
    `void` | `setUserAuthentificationSensitive(boolean isSensitive)` Makes this validator sensitive to `UserAuthenticationEvent`s.

    - ### Methods inherited from class de.esprit.common.gui.DefaultActionValidator

      `addValidationListener, fireAvailabilityChecks, isPermitted, removeValidationListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientActionValidator

          public ClientActionValidator(C clientCtx)

  - ### Method Detail

    - #### getClientContext

          public final C getClientContext()

      Description copied from interface: `ClientObject`
      Returns the the client runtime environment
      Specified by:
        `getClientContext` in interface `ClientObject<C extends ClientContext>`

    - #### checkPermission

          public void checkPermission()
                               throws java.lang.Exception

      Specified by:
        `checkPermission` in interface `ActionValidator`
      Overrides:
        `checkPermission` in class `DefaultActionValidator`
      Throws:
        `java.lang.Exception`

    - #### setUserAuthentificationSensitive

          public void setUserAuthentificationSensitive(boolean isSensitive)

      Makes this validator sensitive to `UserAuthenticationEvent`s. It will perform an enable check if such an event is received.
      See Also:
        `isUserAuthentificationSensitive()`

    - #### isUserAuthentificationSensitive

          public boolean isUserAuthentificationSensitive()

      See Also:
        `setUserAuthentificationSensitive(boolean)`

    - #### isOnline

          public boolean isOnline()

    - #### isLoggedIn

          public boolean isLoggedIn()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.